"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const transformer_1 = require("./transformer");
const generateAnchorElement_1 = require("./transformer/tags/generateAnchorElement");
const getCustomComponents = (page, option) => {
    return {
        a: generateAnchorElement_1.generateAnchorElement(page, option),
    };
};
const renderPage = (option) => (page) => {
    const createBodyContent = transformer_1.transformRawStringToHtml({
        customComponents: getCustomComponents(page, option),
        props: {},
    });
    const bodyContent = createBodyContent(page.content);
    const headContent = transformer_1.createHeadContent(page.metaData);
    return {
        name: path.join(option.serverBasePath, page.name),
        originalName: page.name,
        html: transformer_1.combine({
            head: headContent,
            body: bodyContent,
        }),
    };
};
const render = async ({ pages = [] }, option) => {
    return pages.map(renderPage(option));
};
exports.render = render;
